/**
 | ee244 assignment 2 - fall 1996 - Prof. Newton
 | Simulated Annealing and Mincut Cell Placement
 |
 | James Young and Suzan Szollar
 |
 | PBarCanvas.java
 |
 */

import java.awt.*;
import java.applet.*;

//////////////////////////////////////////////////////////////////////////////

class PBarCanvas
	extends Canvas
{

	//* Variables
	private final static Dimension winSize = new Dimension(150, 140);
	private Progressable target;

	//* Constructors
	public PBarCanvas(Progressable target) {

		this.target = target;
	}

	//* Methods
	public Dimension minimumSize() { return winSize; }
	public Dimension preferredSize() { return winSize; }

	public void paint(Graphics g)
	{

		g.translate(8,0);

		g.setColor(WorkSpace.portColor);
		g.fillRect(0, 18, 106, 34);

		g.setColor(WorkSpace.boxColor);
		g.fillRect(2, 20, 102, 30);

		if (target != null)
		{
			int width = target.getProgress();
			String[] consoleMsg = target.getMsg();

			g.setColor(WorkSpace.SboxColor);
			g.fillRect(2, 20, width+2, 30);
			g.setColor(Color.black);

			g.drawString(consoleMsg[0], 2, 17);
			g.drawString(consoleMsg[1], 2, 68);
			g.setColor(WorkSpace.textColor);
			g.drawString(width + "%", 10, 48);
		}
	}
}
